Bug 1145002 - 'kubeadm init' fails to start inside openQA on aarch64
'kubeadm init' fails to start inside openQA on aarch64
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
aarch64 Other
: P1 - Urgent : Major (vote)
: ---
Assigned To: Kubic Bugs
E-mail List
:
Depends on:
Blocks: 1149392
  Show dependency treegraph
 
Reported: 2019-08-09 07:58 UTC by Guillaume GARDET
Modified: 2019-09-04 12:56 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume GARDET 2019-08-09 07:58:46 UTC
openQA link: https://openqa.opensuse.org/tests/1001293#step/kubeadm/10

'kubeadm init' fails because it cannot download some images from registry.opensuse.org:
* kube-apiserver
* kube-controller-manager
* kube-scheduler
* kube-proxy
* etc
* coredns
Comment 1 Fabian Vogt 2019-08-09 08:12:04 UTC
Images not linked to openSUSE:Factory:ARM and not mentioned in TTM config attrib.
Comment 2 Thorsten Kukuk 2019-08-09 09:51:02 UTC
Additional the following containers are missing for aarch64:
* flannel
* rbac-manager
* weave-kube
* weave-npc

flannel and weave-kube/weave-npc are required.
Comment 3 Fabian Vogt 2019-08-09 09:58:58 UTC
Dominique added all of those and the next snapshot will release them to the registry.
Comment 4 Guillaume GARDET 2019-09-02 13:09:29 UTC
Reopen since kube-proxy image is still missing: https://openqa.opensuse.org/tests/1022456#step/kubeadm/10
Comment 5 Guillaume GARDET 2019-09-02 13:40:22 UTC
(In reply to Guillaume GARDET from comment #4)
> Reopen since kube-proxy image is still missing:
> https://openqa.opensuse.org/tests/1022456#step/kubeadm/10

It looks like it is in :ToTest for the 1st time with snapshot currently in openQA:
https://build.opensuse.org/package/show/openSUSE:Factory:ARM:ToTest/kubic-kube-proxy-image

Let's see how it goes when the snapshot will be released.
Comment 6 Guillaume GARDET 2019-09-04 12:51:55 UTC
Close as images are now pulled properly.

There are still problems with 'kubeadm init', but as it is a separate issue, I will create another bug.